2

What I have done

I have set up a LAMP webserver using these commands:

sudo apt-get install apache2
sudo apt-get install mysql-server
sudo apt-get install php5 libapache2-mod-php5
sudo /etc/init.d/apache2 restart

Then I installed phpmyadmin with:

sudo apt-get install phpmyadmin

The problem

The problem is that when I go to http://localhost/phpmyadmin/, I get this:

phpMyAdmin - Error
The json extension is missing. Please check your PHP configuration.


What I've tried

I've tried:

System info

  • Clean install of Ubuntu 14.04 x64
2

I found the problem.

I had replaced the default php.ini file with one from a different server, and that must have messed it up.

I reinstalled LAMP & phpmyadmin, this time leaving php.ini alone, and it worked just fine.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.